Subject: bug#4954: 23.1; Emacs hangs when two run-at-time calls in effect

From: Lennart Borgman <[email-masked]>
Date: Thu, 19 Nov 2009 02:33:38 +0100

On Thu, Nov 19, 2009 at 2:29 AM, Sullivan Beck <[email-masked]> wrote:
>
> It could be... and I certainly considered the fact that perhaps both were
> trying to do something at the same time and were blocking each other
> somehow.
>
> My problem with this is that the slowness doesn't go away once it's started.
> If the two saves are EXACTLY in sync with each other (and it's possible... I
> gave them both a 5 minute interval, and they were initialized right after
> each other), I wouldn't be surprised to see emacs become sluggish for a few
> seconds every 5 minutes.
>
> The problem is that once the sluggishness starts, it persists for several
> minutes. I've never tried to outwait it for too long of a time, but I've
> certainly given it 2-3 minutes, and the sluggishness persists. If the two
> operations can't figure out in that time how to get their writes done, I'd
> say that it has to be a bug in that code.
>
> I'll bet that your suggestion of starting up a run-with-idle-timer would be
> a good workaround (and I may or may not do it... probably not since the
> workaround I've already got is good enough for me).
>
> I mainly submitted the bug so that whoever is in charge of the code that
> runs the timer may look at it. I'm probably at a point where I'm satisfied
> with what I've got, at least for the time being.
>
> Anyway, thanks for the reply.

Thanks for your good description. I do not understand what is going on
so someone who knows more than me about this must jump in. All I can
say is that reading your description above it sounds like something is
seriously wrong.